<?php
/////////////////////
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$idDoc=$sessao->getVar('transfere');


//ENTRA DE QUAKQUER MANEIRA
//echo("3xxxxxxxxxxxxxxidDocumento= $idDoc<br>");
$generica=new tabelagenerica();
$generica->tabela="tempsila";
$generica->campos_valores = array(
		"obs1" => NULL,
		"obs2" => NULL,
		"obs3" => NULL,
		"obs4" => NULL,
		"obs5" => NULL,
		"obs6" => NULL,
		"obs7" => NULL,
		"obs8" => NULL,
		"obs9" => NULL,
		"obs10" => NULL,
		"obs11" => NULL,
		"obs12" => NULL,
		"obs13" => NULL,
		"obs14" => NULL,
		"obs15" => NULL,
		"obs16" => NULL,
		"obs17" => NULL,
		"obs18" => NULL,
		"obs19" => NULL,
		"obs20" => NULL,		
	);
$generica->extras_select =" ";
//echo("eeeeexxxxxxxxxxxxxxxxxxxxxxxxxxeeeeeeerro $generica->extras_select <br>");
$contaAmostras=0;
$generica->selecionaCampos($generica);
$totalCampos=$sessao->getVar('controle3');
while ($resgenerica = $generica->retornaDados()):
	$matriz[$contaAmostras][1]=$resgenerica->obs1;
	$matriz[$contaAmostras][2]=$resgenerica->obs2;
	//if($contaAmostras>0)$matriz[$contaAmostras][2]=$totalCampos;
	$matriz[$contaAmostras][3]=$resgenerica->obs3;
	$matriz[$contaAmostras][4]=$resgenerica->obs4;
	$matriz[$contaAmostras][5]=$resgenerica->obs5;
	$matriz[$contaAmostras][6]=$resgenerica->obs6;
	$matriz[$contaAmostras][7]=$resgenerica->obs7;
	$matriz[$contaAmostras][8]=$resgenerica->obs8;
	$matriz[$contaAmostras][9]=$resgenerica->obs9;
	$matriz[$contaAmostras][10]=$resgenerica->obs10;
	$matriz[$contaAmostras][11]=$resgenerica->obs11;
	$matriz[$contaAmostras][12]=$resgenerica->obs12;
	$matriz[$contaAmostras][13]=$resgenerica->obs13;
	$matriz[$contaAmostras][14]=$resgenerica->obs14;
	$matriz[$contaAmostras][15]=$resgenerica->obs15;
	$matriz[$contaAmostras][16]=$resgenerica->obs16;
	$matriz[$contaAmostras][17]=$resgenerica->obs17;
	$matriz[$contaAmostras][18]=$resgenerica->obs18;
	$matriz[$contaAmostras][19]=$resgenerica->obs19;
	$matriz[$contaAmostras][20]=$resgenerica->obs20;
    $contaAmostras++;
endwhile;
//se eu pego daqui ele nao leva para dentro da funcao os cabecalhos
//entao crio uma sessao
$estring="";
for($i=1;$i<=$totalCampos;$i++):
  $cabecalhos[$i]=$matriz[0][$i];
endfor;
$sessao->setVar('controle',$cabecalhos);

$limite=sizeof($matriz);
///////////////
switch ($tela):
   case 'excel':

   break;
default:
    //isso aqui vai criar um arrau a partir de dados de uma consulta ou de uma matriz
	
	//$campo1x=$matriz[0][1];
	//echo("nomex  $campo1x <br>");
	function addRegistro($document, $campo1, $campo2, $campo3,$campo4,$campo5,$campo6,$campo7,$campo8,$campo9,$campo10,$campo11,$campo12,$campo13,$campo14,$campo15,$campo16,$campo17,$campo18,$campo19,$campo20,$i)
	{
	 $matrizCampo[1]=$campo1;
	 $matrizCampo[2]=$campo2;
	 $matrizCampo[3]=$campo3;
	 $matrizCampo[4]=$campo4;
	 $matrizCampo[5]=$campo5;
	 $matrizCampo[6]=$campo6;
	 $matrizCampo[7]=$campo7;
	 $matrizCampo[8]=$campo8;
	 $matrizCampo[9]=$campo9;
	 $matrizCampo[10]=$campo10;
	 $matrizCampo[11]=$campo11;
	 $matrizCampo[12]=$campo12;
	 $matrizCampo[13]=$campo13;
	 $matrizCampo[14]=$campo14;
	 $matrizCampo[15]=$campo15;
	 $matrizCampo[16]=$campo16;
	 $matrizCampo[17]=$campo17;
	 $matrizCampo[18]=$campo18;
	 $matrizCampo[19]=$campo19;
	 $matrizCampo[20]=$campo20;
	 $sessao = new sessao();
     $totalCampos=$sessao->getVar('controle3');
     $cabecalhos=$sessao->getVar('controle');

	 #criar contato
	 $contato = $document->createElement("Registro_".$i);
	 for($i=1;$i<$totalCampos;$i++):
	    $campo1Elm[$i] = $document->createElement($cabecalhos[$i], $matrizCampo[$i]);//no exemplo era nomeelemento
	    $contato->appendChild($campo1Elm[$i]);
     endfor;


    
	 
	 return $contato;
	}
	 
	$dom = new DOMDocument("1.0", "ISO-8859-1");
	$dom->preserveWhiteSpace = false;
	$dom->formatOutput = true;
	
	$titulo="DadosSilas";
	 
	$root = $dom->createElement($titulo);
	 
	#utilizando a funcao para criar contatos
	//$Tiao = addRegistro($dom, "Oto.", "5555-4444", "R. Jaú, 3");
	//$Joao = addRegistro($dom, "Angela.", "4444-5555", "R. Itú, 4");
	for($i=1;$i<$contaAmostras;$i++):
		$Tiao = addRegistro($dom, $matriz[$i][1],$matriz[$i][2],$matriz[$i][3],$matriz[$i][4],$matriz[$i][5],$matriz[$i][6],$matriz[$i][7],$matriz[$i][8],$matriz[$i][9],$matriz[$i][10],$matriz[$i][11],$matriz[$i][12],$matriz[$i][13],$matriz[$i][14],$matriz[$i][15],$matriz[$i][16],$matriz[$i][17],$matriz[$i][18],$matriz[$i][19],$matriz[$i][20],$i);
	    $root->appendChild($Tiao);
	endfor;
	
	 
	#adicionando no root
	//$root->appendChild($Tiao);
	//$root->appendChild($Joao);
	$dom->appendChild($root);
	 
	#salvando o arquivo
	$dom->save("arquivosxml/oto4.xml");
	 
	#mostrar dados na tela
	header("Content-Type: text/xml");
	print $dom->saveXML();
    //final da criacao do array com 2 registros

break;
endswitch;
?>


 



